Package org.lwjgl.opengl

# Class ARBTextureCubeMapArray

java.lang.Object
org.lwjgl.opengl.ARBTextureCubeMapArray

public final class ARBTextureCubeMapArray extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_INT_SAMPLER_CUBE_MAP_ARRAY_ARB`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_PROXY_TEXTURE_CUBE_MAP_ARRAY_ARB`
Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CompressedTeximage3D, CompressedTexSubImage3D and CopyTexSubImage3D:
`static final int`
`GL_SAMPLER_CUBE_MAP_ARRAY_ARB`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW_ARB`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_TEXTURE_BINDING_CUBE_MAP_ARRAY_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:
`static final int`
`GL_TEXTURE_CUBE_MAP_ARRAY_ARB`
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, BindTexture, and GenerateMipmap:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY_ARB`
Returned by the <type> parameter of GetActiveUniform:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_CUBE_MAP_ARRAY_ARB

public static final int GL_TEXTURE_CUBE_MAP_ARRAY_ARB
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, BindTexture, and GenerateMipmap:

Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CompressedTeximage3D, CompressedTexSubImage3D and CopyTexSubImage3D:

Accepted by the <tex> parameter of GetTexImage:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_CUBE_MAP_ARRAY_ARB

public static final int GL_TEXTURE_BINDING_CUBE_MAP_ARRAY_ARB
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_CUBE_MAP_ARRAY_ARB

public static final int GL_PROXY_TEXTURE_CUBE_MAP_ARRAY_ARB
Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CompressedTeximage3D, CompressedTexSubImage3D and CopyTexSubImage3D:

See Also:
  - Constant Field Values

### GL_SAMPLER_CUBE_MAP_ARRAY_ARB

public static final int GL_SAMPLER_CUBE_MAP_ARRAY_ARB
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW_ARB

public static final int GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW_ARB
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_CUBE_MAP_ARRAY_ARB

public static final int GL_INT_SAMPLER_CUBE_MAP_ARRAY_ARB
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY_ARB

public static final int GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY_ARB
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values